Package org.gradle.jvm.toolchain

# Interface JavaToolchainRequest

@Incubating public interface JavaToolchainRequest
Describes Java toolchains that need to be auto-provisioned, including their properties (see `JavaToolchainSpec`} and the build environment they are needed in.

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuildPlatform`
  `getBuildPlatform()`
  `JavaToolchainSpec`
  `getJavaToolchainSpec()`

- ## Method Details

  - ### getJavaToolchainSpec

    JavaToolchainSpec getJavaToolchainSpec()

  - ### getBuildPlatform

    BuildPlatform getBuildPlatform()